Commit 6742825d authored by Dirk Eddelbuettel's avatar Dirk Eddelbuettel

releasing package rpy2-2.8 version 2.8.6-3

parent 7ab82e9b
rpy2-2.8 (2.8.6-3) unstable; urgency=medium
* debian/watch: Removed, no upstream support, rpy2 3.* requires Python 3
* debian/control: Set (Build-)Depends: to current R version
* debian/control: Set Standards-Version: to current version
* debian/source/format: Added
* debian/patches/rpy2_patch: Adding 'singledispatch' requirement
* debian/source.lintian-overrides: Added
-- Dirk Eddelbuettel <edd@debian.org> Sat, 13 Apr 2019 08:43:48 -0500
rpy2-2.8 (2.8.6-2) unstable; urgency=medium
* Fork rpy2 source package at the last version that supported Python 2.
......
......@@ -3,13 +3,15 @@ Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>, Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.4.1), python-all-dev, python-setuptools, python-numpy-dev
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.5.3), python-all-dev, python-setuptools, python-numpy-dev
Homepage: https://bitbucket.org/lgautier/rpy2
Vcs-Browser: https://salsa.debian.org/edd/rpy2-2.8
Vcs-Git: https://salsa.debian.org/edd/rpy2-2.8.git
Package: python-rpy2
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-numpy, r-base-core (>= 3.3.0)
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-numpy, r-base-core (>= 3.5.3)
Provides: ${python:Provides}
Suggests: python-rpy-docs
Description: Python 2 interface to the GNU R language and environment (version 2.8)
......@@ -18,5 +20,5 @@ Description: Python 2 interface to the GNU R language and environment (version 2
and can execute arbitrary R functions, including graphic functions.
Rpy2 is a rewrite and extension of the older RPy interface.
.
This package provides the Python 2 module, at the latest version (2.8) that is
supported by upstream.
This package provides the Python 2 module, at the last version (2.8) that was
supported by upstream -- RPy2 has moved on is now supporting Python 3 only.
Description: <short summary of the patch>
TODO: Put a short summary on the line above and replace this paragraph
with a longer explanation of this change. Complete the meta-information
with other relevant fields (see below for details). To make it easier, the
information below has been extracted from the changelog. Adjust it or drop
it.
.
rpy2-2.8 (2.8.6-3) unstable; urgency=medium
.
* debian/watch: Removed, no upstream support, rpy2 3.* requires Python 3
.
* debian/control: Set (Build-)Depends: to current R version
* debian/control: Set Standards-Version: to current version
Author: Dirk Eddelbuettel <edd@debian.org>
---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:
Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2019-04-13
--- rpy2-2.8-2.8.6.orig/rpy2.egg-info/PKG-INFO
+++ rpy2-2.8-2.8.6/rpy2.egg-info/PKG-INFO
@@ -18,3 +18,4 @@ Classifier: Intended Audience :: Develop
Classifier: Intended Audience :: Science/Research
Classifier: Development Status :: 5 - Production/Stable
Requires: six
+Requires: singledispatch
--- rpy2-2.8-2.8.6.orig/rpy2.egg-info/requires.txt
+++ rpy2-2.8-2.8.6/rpy2.egg-info/requires.txt
@@ -1 +1,2 @@
+singledispatch
six
rpy2-2.8 source: python-foo-but-no-python3-foo python-rpy2
version=3
http://pypi.debian.net/rpy2/rpy2-(.*).tar.gz
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment